import UIKit

class ButtonsFactory {
    
    static func createDefaultButton(title: String, target: Any, onTapAction: Selector) -> UIButton {
        let button = UIButton(type: .custom)
        button.setTitle(title, for: .normal)
        button.addTarget(target, action: onTapAction, for: .touchUpInside)
        
        button.backgroundColor = .lightGray
        button.layer.cornerRadius = 10
        
        button.snp.makeConstraints {
            $0.size.equalTo(CGSize(width: 200, height: 50))
        }
        
        return button
    }
    
}
